Bug 1306567 - [RFE] Provide a way to install LAGO and skip tests which are unnecessary for building the setup.
[RFE] Provide a way to install LAGO and skip tests which are unnecessary for ...
Status: CLOSED WONTFIX
Product: ovirt-system-tests
Classification: Community
Component: RFEs (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yaniv Kaul
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 05:14 EST by Maor
Modified: 2016-04-10 10:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-10 10:04:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maor 2016-02-11 05:14:07 EST
Description of problem:
LAGO currently runs 4 tests as part of its setup.
The first two are crucial for building the engine environment and creating a setup of Data Center, Storage and Hosts.
The other tests are less related to the install of the engine setup and are used more for validation of different functional tests in the system.

It could be great, for users who want to get introduced with oVirt, to have the ability to install oVirt and skip the other tests, so it can be easy and faster to get to a live working engine to play with.

I though of different alternatives that can be done, but other ideas are most welcome:
1) Configure a new suite, something like light_suite_3.6, which will be with no test.
2) Using a flag (something like --skip-tests or --build_setup_no_tests)
3) Describe how to remove different tests from a basic suite in the wiki.

Version-Release number of selected component (if applicable):
lago-0.8.3-1.fc23.noarch.rpm

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 David Caro 2016-02-15 04:39:54 EST
This is not related to lago itself but to ovirt-system-tests, we have to start changing ovirt-system-tests to it's own product.


So the idea is to get some kind of demo but with multiple hosts? (with one host you have the ovirt-live)
Comment 2 Eyal Edri 2016-04-10 09:49:51 EDT
Changing assignee, please feel free to re-assign to relevant teams.
Comment 3 Yaniv Kaul 2016-04-10 10:04:24 EDT
I'm closing this - I can run Lago, end to end (if there are no bugs), on my OK but not that fast desktop, in ~15 minutes. I'm sure we can add a small script that just run tests 001 (setting up engine) and 002 (setting up DC, storage domains, cluster, hosts and a bit more), but I don't think it's worth the effort.

Note You need to log in before you can comment on or make changes to this bug.